import { Component, OnInit, ViewChild } from "@angular/core";
import { DATA } from "./data";
import {
  IColumnPipeArgs,
	IgxGridModule
} from "igniteui-angular";
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  public products: any[];
  public pipeArgs: IColumnPipeArgs = {
    format: 'yyyy年M月d日',
    timezone: 'UTC',
    digitsInfo: '1.0-0'
  };
  title = 'grid-pipeArgs';

  public ngOnInit() {
    this.products = DATA;
  }
}
